internal::reserving_port< T >::reserving_port_operation Class Reference
Inheritance diagram for internal::reserving_port< T >::reserving_port_operation:
Collaboration diagram for internal::reserving_port< T >::reserving_port_operation:

## Public Member Functions

| reserving_port_operation (const T &e, op_type t)
| reserving_port_operation (const predecessor_type &s, op_type t)
| reserving_port_operation (op_type t)
Public Member Functions inherited from tbb::interface6::internal::aggregated_operation< Derived >
| aggregated_operation ()

## Public Attributes

char | type
union {
T * my_arg
predecessor_type * my_pred
}; |
Public Attributes inherited from tbb::interface6::internal::aggregated_operation< Derived >
uintptr_t | status
| Zero value means "wait" status, all other values are "user" specified values and are defined into the scope of a class which uses "status". More...
Derived * | next

## Detailed Description

### template<typename T>
class internal::reserving_port< T >::reserving_port_operation

Definition at line 226 of file _flow_graph_join_impl.h.

## Constructor & Destructor Documentation

## reserving_port_operation() [1/3]

template<typename T >

internal::reserving_port< T >::reserving_port_operation::reserving_port_operation | ( | const T & | e,
|  | op_type | t
| ) |  |

inline

Definition at line 237 of file _flow_graph_join_impl.h.

:
type(char(t)), my_arg(const_cast<T*>(&e)) {}

## reserving_port_operation() [2/3]

template<typename T >

internal::reserving_port< T >::reserving_port_operation::reserving_port_operation | ( | const predecessor_type & | s,
|  | op_type | t
| ) |  |

inline

Definition at line 239 of file _flow_graph_join_impl.h.

: type(char(t)),
my_pred(const_cast<predecessor_type *>(&s)) {}

## reserving_port_operation() [3/3]

template<typename T >

internal::reserving_port< T >::reserving_port_operation::reserving_port_operation | ( | op_type | t | ) |

inline

Definition at line 241 of file _flow_graph_join_impl.h.

: type(char(t)) {}

## Member Data Documentation

## @9

union { ... }

## my_arg

template<typename T >

T* internal::reserving_port< T >::reserving_port_operation::my_arg

Definition at line 230 of file _flow_graph_join_impl.h.

Referenced by internal::reserving_port< T >::handle_operations().

## my_pred

template<typename T >

predecessor_type* internal::reserving_port< T >::reserving_port_operation::my_pred

Definition at line 231 of file _flow_graph_join_impl.h.

Referenced by internal::reserving_port< T >::handle_operations().

## type

template<typename T >

char internal::reserving_port< T >::reserving_port_operation::type

Definition at line 228 of file _flow_graph_join_impl.h.

Referenced by internal::reserving_port< T >::handle_operations().

The documentation for this class was generated from the following file:

- _flow_graph_join_impl.h

internal::reserving_port::reserving_port_operation::my_arg
T * my_arg
Definition: _flow_graph_join_impl.h:230
internal::reserving_port::reserving_port_operation::type
char type
Definition: _flow_graph_join_impl.h:228
internal::reserving_port::reserving_port_operation::my_pred
predecessor_type * my_pred
Definition: _flow_graph_join_impl.h:231
s
void const char const char int ITT_FORMAT __itt_group_sync s
Definition: ittnotify_static.h:91

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.